using System;

using System.Configuration;

namespace TimelineNet.Library {
    [Serializable()]
    public class NormalBand : Band {
        public NormalBand() {
        }

        public NormalBand(int width, Enums.TimelineDateTime TimelineDateTime, int intervalPixels, EventSource EventSource, Theme Theme, System.DateTime InitialDate, int Timezone, bool Overview, decimal TrackGap, decimal trackHeight)
        {
            this.Width = width;
            this.TimelineDateTime = TimelineDateTime;
            this.IntervalPixels = intervalPixels;
            this.EventSource = EventSource;
            this.Theme = Theme;
            this.InitialDate = InitialDate;
            this.Timezone = Timezone;
            this.Overview = Overview;
            this.TrackGap = TrackGap;
            this.TrackHeight = trackHeight;

        }
        public NormalBand(int width, Enums.TimelineDateTime TimelineDateTime, int intervalPixels) {
            this.Width = width;
            this.TimelineDateTime = TimelineDateTime;
            this.IntervalPixels = intervalPixels;
        }
        public override string ToString() {
            System.Text.StringBuilder sb = new System.Text.StringBuilder();
            sb.Append("Timeline.createBandInfo({\n");
            sb.Append(base.ToString());
            sb.Append("})\n");

            return sb.ToString();
        }
    }
}