using System;

using System.Configuration;

namespace TimelineNet.Library
{
    [Serializable()]
    public class Theme
    {

        private string themeClientID = "theme";
        public string ThemeClientID
        {
            get { return themeClientID; }
            set { themeClientID = value; }
        }


        public string Name;
        public Theme()
        {
        }
        public Themes.ThemeEvent ThemeEvent;

        public override string ToString()
        {
            System.Text.StringBuilder sb = new System.Text.StringBuilder();
            sb.Append(string.Format("var {0} = Timeline.{1}.create();", ThemeClientID, Name));
            if(ThemeEvent != null)
            {
                ThemeEvent.ThemeClientID = this.ThemeClientID;
                sb.Append(ThemeEvent.ToString());
            }
            return sb.ToString();
        }
    }
}