using System;
using System.Collections.Generic;
using System.Text;

namespace TimelineNet.Library.Themes {
    [Serializable()]
    public class ThemeEventTrack {
        public double offset;
        public double height;
        public double gap;
        private string themeClientID;
        public string ThemeClientID {
            get { return themeClientID; }
            set { themeClientID = value; }
        }

        public override string ToString() {
            System.Text.StringBuilder sb = new System.Text.StringBuilder();
            if(this.offset > 0) sb.Append(string.Format("{1}.event.track.offset={0};", offset, ThemeClientID));
            if(this.height > 0) sb.Append(string.Format("{1}.event.track.height={0};", height, ThemeClientID));
            if(this.gap > 0) sb.Append(string.Format("{1}.event.track.gap={0};", gap, ThemeClientID));
            return sb.ToString();
        }

    }
}
