using System;
using System.Collections.Generic;
using System.Text;

namespace TimelineNet.Library {
    [Serializable()]
    public class ThumbnailEventPainter {
        public string theme="theme";
        public int trackHeight = 15;
        public int trackOffset = 10;
        public int labelWidth = 100;
        public int thumbnailWidth = 80;
        public int thumbnailHeight = 26;

        public override string ToString() {
            System.Text.StringBuilder sb = new System.Text.StringBuilder();
            sb.Append(".eventPainter = new Timeline.ThumbnailEventPainter({\r\n");
            sb.Append(string.Format("theme:              theme,\r\n",theme));
            sb.Append(string.Format("trackHeight:        15,\r\n",trackHeight));
            sb.Append(string.Format("trackOffset:        10,\r\n",trackOffset));
            sb.Append(string.Format("labelWidth:         100,\r\n",labelWidth));
            sb.Append(string.Format("thumbnailWidth:     80,\r\n",thumbnailWidth));
            sb.Append(string.Format("thumbnailHeight:    26\r\n",thumbnailHeight));
            sb.Append("});\r\n");
            return sb.ToString();
        }
    }
}