using System;
using System.Text;

namespace Calendar {

    public enum TelephoneNumberType {PREF,WORK,HOME,VOICE,FAX,MSG,CELL,PAGER,BBS,MODEM,CAR}

    public class TelephoneNumber {
        private string _phoneNumber;
 
        public TelephoneNumberType PhoneNumberType;
          
        public TelephoneNumber() {
        }
 
        public override string ToString() {
            StringBuilder sb = new StringBuilder();
 
            sb.Append("TEL;" + Enum.GetName(typeof(TelephoneNumberType), PhoneNumberType) + ":");
            sb.Append(_phoneNumber + "\r\n");
 
            return sb.ToString();
        }
 
        public string PhoneNumber {
            get {
                return _phoneNumber;
            }
            set {
                _phoneNumber = value;
            }
        }
    }
 
}
