using System;
using System.Collections.Generic;
using System.Text;

namespace TimelineNet.Library.Themes {
    [Serializable()]
    public class ThemeEventHighlightColors : List<string> {
        private string themeClientID;
        public string ThemeClientID {
            get { return themeClientID; }
            set { themeClientID = value; }
        }
        public override string ToString() {
            System.Text.StringBuilder sb = new System.Text.StringBuilder();
            if(this.Count > 0) {
                string list = "";
                int count = this.Count;
                foreach(string s in this) {
                    list = list + "\"" + s + "\"";
                    if(count>0) list = list + ",";
                }
                sb.Append(string.Format("{1}.event.highlightColors = new Array({0});", list, ThemeClientID));
            }
            return sb.ToString();
        }

    }
}
