using System;
using System.Collections.Generic;
using System.Text;

namespace TimelineNet.Library.Themes {
    [Serializable()]
    public class ThemeEventLabel {
        public string insideColor;
        public string outsideColor;
        public int width;
        private string themeClientID;
        public string ThemeClientID {
            get { return themeClientID; }
            set { themeClientID = value; }
        }
        public override string ToString() {
            System.Text.StringBuilder sb = new System.Text.StringBuilder();
            if(this.insideColor != string.Empty) sb.Append(string.Format("{1}.event.label.insideColor='{0}';", insideColor, ThemeClientID));
            if(this.outsideColor != string.Empty) sb.Append(string.Format("{1}.event.label.outsideColor='{0}';", outsideColor, ThemeClientID));
            if(this.width != 0) sb.Append(string.Format("{1}.event.label.width={0};", width, ThemeClientID));
            return sb.ToString();
        }

    }
}
